Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.ds
Class Package

    java.lang.Object
      |
      +--jedi.ds.Package

All Implemented Interfaces:
  javax.swing.event.DocumentListener, java.util.EventListener, Sorter.Comparable

public class Package
extends java.lang.Object
implements javax.swing.event.DocumentListener, Sorter.Comparable

Field Summary
`protected java.io.File` | `classDir`
`protected static java.lang.String` | `PROPERTIESFILENAME`
`protected java.io.File` | `sourcesDir`

Constructor Summary
`Package(java.lang.String packagename)`
`Package(java.lang.String packagename, jedi.ds.MessageReceiver receiver)`

Method Summary
`Class` | `add(java.lang.String classname, int type)`
`void` | `changedUpdate(javax.swing.event.DocumentEvent arg0)`
`void` | `cleanUp()`
`int` | `compareTo(java.lang.Object o)` Compare objects and return a value that indicates their relative order: if (this > other) return > 0 if (this == other) return 0 if (this < other) return < 0
`boolean` | `delete(Class cl)`
`PackagePrefsFrame` | `editPrefs()`
`Class` | `get(java.lang.String classname)`
`java.util.Vector` | `getClasses()`
`java.lang.String[]` | `getClassList()`
`int` | `getDebugLevel()`
`java.lang.String[]` | `getIcons()`
`java.lang.String[]` | `getInterfaceList()`
`Class` | `getLastSelectedClass()`
`java.lang.String` | `getName()`
`UndoableDocument` | `getResource(int index)`
`java.lang.String` | `getResourceAsPlainText(int index)`
`static java.lang.String` | `getResourceDescription(int index)`
`java.lang.String` | `getResourceName()`
`static java.lang.String[]` | `getSupportedLocales()`
`static java.lang.String[]` | `getSupportedLocalesAsDisplayNames()`
`void` | `insertUpdate(javax.swing.event.DocumentEvent arg0)`
`boolean` | `isChanged()`
`static boolean` | `isIdentifier(java.lang.String s)`
`void` | `markChanged()`
`void` | `removeUpdate(javax.swing.event.DocumentEvent arg0)`
`void` | `saveChanges()`
`void` | `saveSource()`
`void` | `setDataFrom(Package p)`
`void` | `setDebugLevel(int value)`
`void` | `setIcons(java.lang.String[] icons)`
`void` | `setLastSelectedClass(Class c)`
`void` | `setResource(int index, java.lang.String text)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTIESFILENAME

    protected static final java.lang.String PROPERTIESFILENAME

### classDir

    protected java.io.File classDir

### sourcesDir

    protected java.io.File sourcesDir

Constructor Detail

### Package

    public Package(java.lang.String packagename)

### Package

    public Package(java.lang.String packagename,
                   jedi.ds.MessageReceiver receiver)

Method Detail

### add

    public Class add(java.lang.String classname,
                     int type)

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent arg0)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### cleanUp

    public void cleanUp()

### compareTo

    public int compareTo(java.lang.Object o)

  Description copied from interface: `Sorter.Comparable`
  Compare objects and return a value that indicates their relative order: if (this > other) return > 0 if (this == other) return 0 if (this < other) return < 0
  Specified by:
    `compareTo` in interface `Sorter.Comparable`

### delete

    public boolean delete(Class cl)

### editPrefs

    public PackagePrefsFrame editPrefs()

### get

    public Class get(java.lang.String classname)

### getClassList

    public java.lang.String[] getClassList()

### getClasses

    public java.util.Vector getClasses()

### getDebugLevel

    public int getDebugLevel()

### getIcons

    public java.lang.String[] getIcons()

### getInterfaceList

    public java.lang.String[] getInterfaceList()

### getLastSelectedClass

    public Class getLastSelectedClass()

### getName

    public java.lang.String getName()

### getResource

    public UndoableDocument getResource(int index)

### getResourceAsPlainText

    public java.lang.String getResourceAsPlainText(int index)

### getResourceDescription

    public static java.lang.String getResourceDescription(int index)

### getResourceName

    public java.lang.String getResourceName()

### getSupportedLocales

    public static java.lang.String[] getSupportedLocales()

### getSupportedLocalesAsDisplayNames

    public static java.lang.String[] getSupportedLocalesAsDisplayNames()

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent arg0)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### isChanged

    public boolean isChanged()

### isIdentifier

    public static boolean isIdentifier(java.lang.String s)

### markChanged

    public void markChanged()

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent arg0)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

### saveChanges

    public void saveChanges()

### saveSource

    public void saveSource()

### setDataFrom

    public void setDataFrom(Package p)

### setDebugLevel

    public void setDebugLevel(int value)

### setIcons

    public void setIcons(java.lang.String[] icons)

### setLastSelectedClass

    public void setLastSelectedClass(Class c)

### setResource

    public void setResource(int index,
                            java.lang.String text)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD